Page MenuHomePhabricator

Mobile visual editor not logging EditAttemptStep abort actions
Closed, ResolvedPublic

Description

From December 19 to 21 (roughly coinciding with the deploy of 1.33-wmf.9), the number of mobile visual editor abort events dropped from a stable level to 0. This hasn't happened with any other editor or any other interface.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterLog abort events when canceling out of visual editing

Event Timeline

Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptJan 23 2019, 11:33 PM

We expected a drop because the patch for T211156 stopped abort (and ready) from being logged when switching from wikitext to visual, which I suspect was a common source (you could look for ones with the abort_type logged as switchnochange).

Absent that... the only source of abort events is directly clicking the cancel button. I'll investigate whether those are being suppressed somehow. (Note that I don't think e.g. pressing the back button or closing the tab would fire one.)

Having checked: mobile VE's only source of abort events was (incorrectly) when switching. It has never emitted them for anything else. I'll improve that, so at least canceling out of it will emit them.

DLynch claimed this task.Jan 24 2019, 5:37 PM
DLynch edited projects, added VisualEditor (Current work); removed VisualEditor.
DLynch moved this task from Incoming to In progress on the VisualEditor (Current work) board.
kzimmerman moved this task from Triage to Tracking on the Product-Analytics board.Jan 25 2019, 6:11 PM

Change 487001 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/MobileFrontend@master] Log abort events when canceling out of visual editing

https://gerrit.wikimedia.org/r/487001

Change 487001 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Log abort events when canceling out of visual editing

https://gerrit.wikimedia.org/r/487001

Esanders removed a project: Editing QA.

@Neil_P._Quinn_WMF Can you verify this is fixed?

Neil_P._Quinn_WMF closed this task as Resolved.Mar 29 2019, 10:43 PM

Yes, it is!

select
    date_format(dt, "yyyy-MM-01") as month,
    event.abort_type as abort_type,
    event.abort_mechanism as abort_mechanism,
    count(*) as mobile_ve_aborts
from event_sanitized.editattemptstep
where
    event.platform = "phone" and
    event.editor_interface = "visualeditor" and
    event.action = "abort" and 
    year = 2019
group by
    date_format(dt, "yyyy-MM-01"),
    event.abort_type,
    event.abort_mechanism 

month	        abort_type	     abort_mechanism	        mobile_ve_aborts
2019-02-01	abandon	             cancel	                396	
2019-02-01	nochange	     cancel	                3647	
2019-03-01	abandon	             cancel	                21988	
2019-03-01	nochange	     cancel	                177529